Commit 339c8640 authored by gsell's avatar gsell

fix problems with autogen.sh on ScientificLinux 5 and new autotools

parent d2a55f9a
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
ACLOCAL_FLAGS="-I m4 $ACLOCAL_FLAGS"
LIBTOOLIZE_FLAGS="--force $LIBTOOLIZE_FLAGS"
AUTOMAKE_FLAGS="--add-missing --copy --foreign $AUTOMAKE_FLAGS"
LIBTOOLIZE=`which libtoolize`
if [ "$LIBTOOLIZE" = "" ]; then
LIBTOOLIZE=`which glibtoolize`
LIBTOOLIZE=`which glibtoolize`
fi
if [ "$LIBTOOLIZE" = "" ]; then
echo "libtoolize not found" 1>&2
exit 1
echo "libtoolize not found" 1>&2
exit 1
fi
echo "+ making misc files ..."
touch NEWS README AUTHORS ChangeLog
echo
libtoolize $LIBTOOLIZE_FLAGS || {
echo "libtoolize failed"
exit 1
}
echo
echo "+ running aclocal ..."
aclocal $ACLOCAL_FLAGS || {
echo
echo "aclocal failed - check that all needed development files are present on system"
exit 1
echo "aclocal failed - check that all needed development files are present on system"
exit 1
}
echo
echo "+ running autoheader ... "
autoheader || {
echo
echo "autoheader failed"
exit 1
}
echo
echo "+ running libtoolize ... "
$LIBTOOLIZE --force || {
echo
echo "libtoolize failed"
exit 1
echo "autoheader failed"
exit 1
}
echo
echo "+ running autoconf ... "
autoconf || {
echo
echo "autoconf failed"
exit 1
echo "autoconf failed"
exit 1
}
echo
echo "+ running automake ... "
automake -a -c --foreign || {
echo
echo "automake failed"
exit 1
automake $AUTOMAKE_FLAGS || {
echo "automake failed"
exit 1
}
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment